export class FormatHelper {
  
  // Format decimal
  static formatDecimalValue(value: number): string {
    if (value === null || value === undefined) {
      return ''; // Handle null/undefined case
    }
    
    // >=0 && <1
    if (value < 1) {
      return new Intl.NumberFormat('fr-FR', {
        useGrouping: true,
        minimumFractionDigits: 2,
        maximumFractionDigits: 2,
      }).format(parseFloat(value.toFixed(2)));
    }

    // >=10
    if (value>=10) {
      return new Intl.NumberFormat('fr-FR', {
        useGrouping: true,
        minimumFractionDigits: 0,
        maximumFractionDigits: 0,
      }).format(parseFloat(value.toFixed(0)));
    }

    // >=1 && <10
    // this will format 1234567 as 1 234 567
    return new Intl.NumberFormat('fr-FR', {
      useGrouping: true,
      minimumFractionDigits: 1,
      maximumFractionDigits: 1,
    }).format(parseFloat(value.toFixed(1)));
  }
}
  